Get a Substack Note by URL or ID, with its replies. Returns the note text, author, date, likes, replies and restacks, any quoted post or note, and the reply thread nested to any depth.
curl "https://apidirect.io/v1/substack/note?url=https%3A%2F%2Fsubstack.com%2F%40hamish%2Fnote%2Fc-355659691" -H "X-API-Key: YOUR_API_KEY"
{
"count": 5,
"note": {
"attachments": [
{
"attachments": [
{
"post_id": "218085342",
"publication": "On Substack",
"title": "Model Behavior: George Saunders",
"type": "post",
"url": "https://on.substack.com/p/model-behavior-george-saunders"
},
{
"duration": 44.6,
"height": 1280,
"type": "video",
"url": "https://substack.com/api/v1/video/upload/c7e75333-51e0-4895-9c1c-597fbbdb5d11/src",
"width": 720
}
],
"author": "arielleswedback",
"author_name": "Arielle Swedback",
"body": "@George Saunders spoke about Substack and our AI conversation yesterday on Late Night with Seth Meyers. Grateful to him for helping us see our way through",
"note_id": "355302724",
"type": "note",
"url": "https://substack.com/@arielleswedback/note/c-355302724"
}
],
"author": "hamish",
"author_bestseller_tier": 0,
"author_id": "3567",
"author_name": "Hamish McKenzie",
"author_pic_url": "https://substack-post-media.s3.amazonaws.com/public/images/46d05a58-6aa7-4896-bd79-5972793b5d4f_1179x1179.jpeg",
"author_url": "https://substack.com/@hamish",
"body": "Still feels like a massive honor just for @George Saunders to be publishing on Substack, let alone be speaking of it on the big shows. ",
"date": "2026-10-08 04:48:40",
"domain": "substack.com",
"lang": "en",
"likes": 53,
"note_id": "355659691",
"publication": "Disjointed",
"reactions": {
"❤": 54
},
"replies": 5,
"restacks": 3,
"source": "Substack",
"url": "https://substack.com/@hamish/note/c-355659691"
},
"replies": [
{
"attachments": [],
"author_id": "1347124",
"author_name": "Emma Gannon",
"author_url": "https://substack.com/profile/1347124",
"body": "v cool! Can’t wait to read your book Hamish 👓",
"date": "2026-10-08 06:13:37",
"domain": "substack.com",
"lang": "en",
"likes": 1,
"note_id": "355689719",
"publication": "The Hyphen by Emma Gannon",
"replies": 0,
"replies_list": [],
"restacks": 0,
"source": "Substack",
"url": "https://substack.com/home/post/c-355689719"
}
]
}
In the note's URL (the c-123456 part) or in the note_id field of User Activity items.
You only pay for successful requests. The Substack Note Details API costs $0.003 per request. There are no monthly fees or commitments. You get 50 free requests per endpoint every month.
No. You can sign up and use the free tier (50 requests/endpoint/month) without adding a payment method. You only need to add a card when you want to exceed the free tier.
Yes, there's a concurrency limit of 10 simultaneous requests per endpoint per user. If you need more, just get in touch.
Get your API key and start making requests in minutes. 50 requests/month free every month.
Get API Key